Get organisation tree
Get the tree of organisations that the requested organisation is part of
GET
/api/v1/{app_id}/organisations/{id}/treeAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
idstringrequiredUUID of the organisation
Responses
200
OK
ancestorsCompanyNodeResponse[]Show propertiesHide properties
Array of
CompanyNodeResponseapp_idstringcommentstringcontact_namestringcreated_atstringcredit_checkbooleancustom_fieldsobjectemailstringexternal_refstringidstringinvoice_emailstringnamestringorganisation_numberstringparent_idstring | nullphonestringstatusstringtax_id_vat_numberstringupdated_atstringcompany_treeOrganisationTreeShow propertiesHide properties
app_idstringchildrenOrganisationTree[]Show propertiesHide properties
Array of
OrganisationTreeCircular reference to
OrganisationTree.commentstringcontact_namestringcreated_atstringcredit_checkbooleancustom_fieldsobjectemailstringexternal_refstringidstringinvoice_emailstringnamestringorganisation_numberstringparent_idstring | nullphonestringstatusstringtax_id_vat_numberstringupdated_atstring400
Invalid request
detailsstring[] | nullmessagestringsuccessboolean404
Organisation not found
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean